public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/calamares/
Date: Tue, 19 Jul 2022 20:47:19 +0000 (UTC)	[thread overview]
Message-ID: <1658263632.cbcb3b710419d9f296f1b87e7e67e33048afec1e.sam@gentoo> (raw)

commit:     cbcb3b710419d9f296f1b87e7e67e33048afec1e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 20:46:57 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 20:47:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbcb3b71

app-admin/calamares: add 3.2.60

Closes: https://bugs.gentoo.org/779130
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-admin/calamares/Manifest                |   1 +
 app-admin/calamares/calamares-3.2.60.ebuild | 114 ++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/app-admin/calamares/Manifest b/app-admin/calamares/Manifest
index 7e1b42674308..78f41b19dd7b 100644
--- a/app-admin/calamares/Manifest
+++ b/app-admin/calamares/Manifest
@@ -1 +1,2 @@
 DIST calamares-3.2.32.1.tar.gz 3425260 BLAKE2B e10174d400a402cfe3d7a015f4fe7a02ad1653e5a4cdf65c31360467e3b3ff10629d991dd206424d51c67533f8ab550e09e74b4334dbebe9e5fec1a06ed0dbd4 SHA512 30e523dd3c340f9c4385a53a4011ed0f16e317572fa2e5b6acfe638aaf029538f0ab85924999e9683ba10014be99b3c35ff3234bc85cefa2ccd14e2715c87222
+DIST calamares-3.2.60.tar.gz 4260547 BLAKE2B edf300ce9d534cd506b2341b3ce314bbde7fcc6dac40ad2307e549bbeab7a63ddfe6d7ae8c8176ee1ad4e4b02c9eadcd5efc66872e1f464c39200d8d117dca80 SHA512 dfc01212f74694f10d40dd1d1ad61db384c83021dc9cd4753027a9cf40b92c8e8b2d5032df76533a8f22c05448aba546c9bb21c38c03fb0cb8d7de35fb79fb7f

diff --git a/app-admin/calamares/calamares-3.2.60.ebuild b/app-admin/calamares/calamares-3.2.60.ebuild
new file mode 100644
index 000000000000..a08899cfd837
--- /dev/null
+++ b/app-admin/calamares/calamares-3.2.60.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit ecm python-single-r1
+
+DESCRIPTION="Distribution-independent installer framework"
+HOMEPAGE="https://calamares.io"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE="+networkmanager +upower"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+	dev-qt/linguist-tools:5
+"
+COMMON_DEPEND="${PYTHON_DEPS}
+	dev-cpp/yaml-cpp:=
+	$(python_gen_cond_dep '
+		>=dev-libs/boost-1.55:=[python,${PYTHON_USEDEP}]
+		dev-libs/libpwquality[${PYTHON_USEDEP}]
+	')
+	dev-qt/qtconcurrent:5
+	dev-qt/qtdbus:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwebengine:5[widgets]
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	kde-frameworks/kconfig:5
+	kde-frameworks/kcoreaddons:5
+	kde-frameworks/kcrash:5
+	kde-frameworks/kpackage:5
+	kde-frameworks/kparts:5
+	kde-frameworks/kservice:5
+	sys-apps/dbus
+	sys-apps/dmidecode
+	sys-auth/polkit-qt
+	>=sys-libs/kpmcore-4.0.0:5=
+	virtual/libcrypt:=
+"
+DEPEND="${COMMON_DEPEND}
+	test? ( dev-qt/qttest:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+	app-admin/sudo
+	dev-libs/libatasmart
+	net-misc/rsync
+	|| ( sys-boot/grub:2 sys-boot/systemd-boot )
+	sys-boot/os-prober
+	sys-fs/squashfs-tools
+	sys-libs/timezone-data
+	virtual/udev
+	networkmanager? ( net-misc/networkmanager )
+	upower? ( sys-power/upower )
+"
+
+src_prepare() {
+	ecm_src_prepare
+	export PYTHON_INCLUDE_DIRS="$(python_get_includedir)" \
+			PYTHON_INCLUDE_PATH="$(python_get_library_path)"\
+			PYTHON_CFLAGS="$(python_get_CFLAGS)"\
+			PYTHON_LIBS="$(python_get_LIBS)"
+
+	sed -i -e 's:pkexec /usr/bin/calamares:calamares-pkexec:' \
+		calamares.desktop || die
+	sed -i -e 's:Icon=calamares:Icon=drive-harddisk:' \
+		calamares.desktop || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DINSTALL_CONFIG=ON
+		-DWEBVIEW_FORCE_WEBKIT=OFF
+		-DCMAKE_DISABLE_FIND_PACKAGE_LIBPARTED=ON
+		-DWITH_PYTHONQT=OFF
+	)
+
+	ecm_src_configure
+}
+
+src_test() {
+	local myctestargs=(
+		# Skipped tests:
+		# load-dracut: tries and fails to find Dracut config
+		# libcalamaresnetworktest: needs network
+		# libcalamaresutilstest: inspects /tmp (expects namespace?)
+		#
+		# Need investigation:
+		# test_libcalamaresuipaste
+		# validate-netinstall
+		# validate-services-systemd
+		# localetest
+		# machineidtest
+		# packagechoosertest
+		-E "(load-dracut|libcalamaresnetworktest|libcalamaresutilstest|test_libcalamaresuipaste|validate-netinstall|validate-services-systemd|localetest|machineidtest|packagechoosertest)"
+	)
+
+	cmake_src_test
+}
+
+src_install() {
+	ecm_src_install
+	dobin "${FILESDIR}"/calamares-pkexec
+}


             reply	other threads:[~2022-07-19 20:47 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-19 20:47 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-19 18:28 [gentoo-commits] repo/gentoo:master commit in: app-admin/calamares/ Viorel Munteanu
2025-04-19 18:28 Viorel Munteanu
2025-04-04 10:22 Viorel Munteanu
2025-04-04 10:22 Viorel Munteanu
2025-01-02 10:16 Nowa Ammerlaan
2024-09-07 21:26 Andreas Sturmlechner
2024-09-07 21:26 Andreas Sturmlechner
2024-05-27 21:26 Andrew Ammerlaan
2024-05-27 21:26 Andrew Ammerlaan
2024-05-27 19:29 Andrew Ammerlaan
2024-04-29 19:16 Andrew Ammerlaan
2024-03-05  9:57 Andreas Sturmlechner
2023-06-15 21:45 Sam James
2023-06-15  2:27 Sam James
2023-06-15  2:27 Sam James
2023-03-18 20:38 Ulrich Müller
2022-07-19 18:48 Sam James
2021-08-22  3:17 Sam James
2021-02-01 16:32 Sam James
2020-10-21 11:54 David Seifert
2020-08-20  5:37 Johannes Huber
2020-08-20  5:37 Johannes Huber
2020-03-19  7:08 Johannes Huber
2020-03-19  7:08 Johannes Huber
2020-03-12 15:50 Andreas Sturmlechner
2020-02-09 15:54 Michał Górny
2020-01-01 19:47 Johannes Huber
2019-08-18 11:26 Andreas Sturmlechner
2019-08-18 11:26 Andreas Sturmlechner
2018-10-01 10:48 Johannes Huber
2018-09-27 20:29 Ettore Di Giacinto
2018-09-27 20:29 Ettore Di Giacinto
2018-05-19 10:47 Johannes Huber
2018-05-07 16:38 Johannes Huber
2018-05-07 16:38 Johannes Huber
2018-03-29 19:26 Johannes Huber
2018-03-29 18:38 Johannes Huber
2018-03-29 18:38 Johannes Huber
2018-02-08 20:22 Johannes Huber
2018-01-24 18:30 Johannes Huber
2018-01-24 18:30 Johannes Huber
2018-01-02 13:39 Johannes Huber
2018-01-02 13:32 Johannes Huber
2017-11-13 18:17 Johannes Huber
2017-10-27 21:09 Johannes Huber
2017-10-27 21:09 Johannes Huber
2017-10-15 16:42 Johannes Huber
2017-10-15 16:42 Johannes Huber
2017-10-07 16:47 Johannes Huber
2017-10-07 16:47 Johannes Huber
2017-09-15 18:42 Johannes Huber
2017-09-06 17:20 Johannes Huber
2017-09-04 19:51 Johannes Huber
2017-07-30  8:36 Michał Górny
2017-07-14 17:34 Johannes Huber
2017-07-14 17:34 Johannes Huber
2017-06-04 12:04 Johannes Huber
2017-06-04 12:04 Johannes Huber
2017-03-03 18:20 Johannes Huber
2017-02-18 19:08 Ettore Di Giacinto
2017-02-16 18:32 Ettore Di Giacinto
2017-02-16 10:43 Ettore Di Giacinto
2017-01-19 17:55 Johannes Huber
2017-01-19 17:55 Johannes Huber
2016-12-18 18:27 Johannes Huber
2016-11-28 19:34 Johannes Huber
2016-11-28 19:34 Johannes Huber
2016-11-07 19:43 Johannes Huber
2016-11-07 19:43 Johannes Huber
2016-11-07 19:43 Johannes Huber
2016-11-01 21:12 Johannes Huber
2016-11-01 21:12 Johannes Huber
2016-10-17 17:56 Johannes Huber
2016-10-17 17:56 Johannes Huber
2016-10-14  6:14 Johannes Huber
2016-10-14  6:14 Johannes Huber
2016-08-28 16:36 Johannes Huber
2016-08-28 16:36 Johannes Huber
2016-07-25 22:13 Johannes Huber
2016-07-01 17:20 Johannes Huber
2016-07-01 17:20 Johannes Huber
2016-06-06 18:40 Johannes Huber
2016-06-06 18:40 Johannes Huber
2016-05-22 19:09 Johannes Huber
2016-05-15 11:40 Johannes Huber
2016-05-15 11:40 Johannes Huber
2016-04-25 15:48 Johannes Huber
2016-04-12 17:48 Johannes Huber
2016-04-10 19:07 Johannes Huber
2016-04-08 18:22 Johannes Huber
2016-04-08 18:22 Johannes Huber
2016-04-07 18:37 Johannes Huber
2016-04-07 18:37 Johannes Huber
2016-03-15 16:04 Johannes Huber
2016-03-13 11:11 Johannes Huber
2016-03-12 13:40 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1658263632.cbcb3b710419d9f296f1b87e7e67e33048afec1e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox